# Zero True: An Interactive Code Environment

## Overview

Welcome to Zero True, your go-to platform creating beautiful and professional data driven notebooks and applications in pure Python. Designed to foster real-time collaboration and interactivity, Zero True offers a rich UI library along with an inteligent code parser that knows which cells to rerun and when so that your notebook is never out of sync. 

## Table of Contents

1. [Features](#features)
2. [Requirements](#requirements)
3. [Quick Start](#quick-start)
4. [Usage](#usage)
5. [Available Components](#available-components)
6. [Community](#community)

## Features

- 📝 Multi-language code editor with real-time execution.
- 🌌 Hierarchical organization for code cells.
- 📊 Dynamic UI rendering with Vue.js components.
- 🔄 Automatic dependency tracking.
- 🚀 Integrated backend for code execution.

## Requirements

- Python 3.9 (Anaconda or virtual env recommended)


## Quick Start

```bash
# Clone the repository
pip install zero-true
zero-true run dev

```

### Usage 

Once the application is running, navigate to http://localhost:8000 and start creating and executing code cells. Click the "Run" button to execute code and visualize the output below the editor. For more information checkout our docs!